
Redmine - Feature #5338

Descendants (subtasks) should be available via REST API

2010-04-16 14:15 - Matthew Schinckel

Status: Closed Start date: 2010-04-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

app/views/show.xml.builder, line13:

  xml.descendants do

    @issue.descendants.each do |issue|

      xml.descendant(:id => issue.id)

    end

  end unless @issue.leaf?

Associated revisions

Revision 4465 - 2010-12-04 14:02 - Jean-Philippe Lang

Adds subtasks to GET /issues/:id API (#5338).

History

#1 - 2010-04-16 14:16 - Matthew Schinckel

Similarly, in index.xml.builder, line 15:

      xml.descendants do

        issue.descendants.each do |descendant|

          xml.descendant(:id => descendant.id)

        end

      end unless issue.leaf?

#2 - 2010-05-01 16:10 - Jean-Philippe Lang

This would show a flat list of all descendants (not only children). How do you get parent/child relationships from that?

#3 - 2010-12-04 13:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Added in r4465.

#4 - 2010-12-26 07:04 - Alex Last

I don't see this information in the response when I send request to REST API:

GET /issues/441.xml

(I'm using latest Trunk Redmine, just did "svn up")

is it not implemented for xml format?
